<?php
require('app_Security.php');
require('act_GetMessages.php');

// Variable Defaults
$Name = "";
$Email = "";
$Subject = "";
$Content = "";
$count = 0;
$InputWidth = $Table_Width - 70;
$PostAction = "DoPostMessage";

//Fetch the Topic Title if necessary
if( (isset($TopicID)) && (is_numeric($TopicID)) ) $ReplyTopic = chop($Messages[0][4]);

// If this is an Edit Action, fetch the Message Data
if($Action == "EditMessage"){
if(!isset($LoggedIn)) die("Error: Unauthorized access to an administrative function");

	if(!isset($TopicID)) $TopicID=0;
	if(!isset($TimeStamp)) $TimeStamp=0;
	
	$MsgCount = sizeof($Messages);
	$PostAction = "DoEditMessage";
	
	for( $i=0; $i<$MsgCount;$i++ ){
		if( (chop($Messages[$i][1]) == $TopicID) && (chop($Messages[$i][0]) == $TimeStamp) ){
			$Name = UnFormat($Messages[$i][2]);
			$Email = UnFormat($Messages[$i][3]);
			$Subject = UnFormat($Messages[$i][4]);
			$Content = eregi_replace('<br[[:space:]]*/?[[:space:]]*>',"\n", UnFormat($Messages[$i][5]));
			$MessageNumber = $i;
		}
	}
}


?>

<table width="<?php echo $Table_Width; ?>" cellpadding="0" cellspacing="0" border="0">
	<form action="<?php echo $PHP_SELF; ?>" method="post" name="PostMessageForm" onSubmit="return FormSubmit()">
	<input type="hidden" name="Action" value="<?php echo $PostAction; ?>">
	<?php if($Action == "EditMessage"){ ?>
		<input type="hidden" name="TopicID" value="<?php echo $TopicID; ?>">
		<input type="hidden" name="TimeStamp" value="<?php echo $TimeStamp; ?>">
	<?php } ?>
		<tr>
			<td width="70" valign="top"><img src="<?php echo $Image_Root; ?>blank.gif" width="70" height="1"><br><font size="2"><b>Name:</b> </font>&nbsp;&nbsp;</td>
			<td width="<?php echo $InputWidth; ?>" valign="top"><img src="<?php echo $Image_Root; ?>blank.gif" width="<?php echo $InputWidth; ?>" height="1"><br>
				<input type="text" name="Name" size="40" value="<?php echo $Name; ?>" tabindex="1" maxlength="300">
			</td>
		</tr>
		<tr>
			<td valign="top"><font size="2"><b>Email:</b> </font>&nbsp;&nbsp;</td>
			<td valign="top"><input type="text" name="Email" size="40" value="<?php echo $Email; ?>" tabindex="2" maxlength="300"></td>
		</tr>
		<?php if( (isset($TopicID)) && (is_numeric($TopicID)) && $Action == "PostMessage" ){ ?>
		<tr>
			<td valign="top"><font size="2"><b>Reply:</b> </font>&nbsp;&nbsp;</td>
			<td valign="top">
				<font size="2"><b><?php echo $ReplyTopic; ?></b></font>
				<input type="hidden" name="Subject" value="<?php echo $ReplyTopic; ?>">
				<input type="hidden" name="TopicID" value="<?php echo $TopicID; ?>">
			</td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<?php }else{ ?>
		<tr>
			<td valign="top"><font size="2"><b>Subject:</b></font> &nbsp;&nbsp;</td>
			<td valign="top">
				<input type="text" name="Subject" value="<?php echo $Subject; ?>" <?php if($Action == "EditMessage" && $MessageNumber) echo "onFocus=\"this.blur()\""; ?> size="40" tabindex="3" maxlength="300">
			</td>
		</tr>
		<?php } ?>
		<tr>
			<td colspan="2">
				<font size="2"><b>Message:</b></font><br>
				<textarea cols="50" rows="15" name="Content" tabindex="4" scrolling="no"><?php echo $Content; ?></textarea>
			</td>
		</tr>
		<tr>
			<td align="right" colspan="2">
				<input type="image" src="images/submit.gif" border="0" tabindex="5">
			</td>
		</tr>
	</form>
</table>