<?php
/*###############################################################################################
	Title:	The Configuration Page
	Author:	Adam Sharp - asharp@andera.com
	Date:	11-15-2001
	Notes:	This is the main configuration page.
#################################################################################################*/ 

/*--------------------------------------------------------------------------
	Data File
		*If on a non-Windows Server, use a minumum of 666 permissions
		**Use full system path to file.  For example:
			/usr/local/plesk/apache/vhosts/yourdomain.net/cgi-bin/bb.txt
--------------------------------------------------------------------------*/
$DataFile = 				 "/mypath/bb.txt";

/*--------------------------------------------------------------------------
	System Settings
--------------------------------------------------------------------------*/
$SysAdmin_Login = 			"admin";
$SysAdmin_Password = 		"test";
$SysAdmin_Email = 			"asharp@andera.com";
$Image_Root = 				"images/";
$MaxRows = 					"10";
$NewLine = 					"\r\n"; // What we wish to use as a NewLine

/*--------------------------------------------------------------------------
	Cosmetic Settings
--------------------------------------------------------------------------*/
// Document
$Document_Title = 			"Bazooka Board v2.0";
$Document_BgColor = 		"#ffffef";
$Document_Alignment = 		"center";

// Links
$LinkColor = 				"#996666";
$LinkColor_Hover = 			"#cccccc";

// Table Headers
$Table_Width = 				"600"; // 550 minimum
$TableHeader_BgColor = 		"#C8D9E5";
$TableHeader_Fonts = 		"Arial,Verdana,Times";
$TableHeader_FontSize = 	"13px";
$TableHeader_FontColor = 	"#333366";

// Table Content
$TableContent_Fonts = 		"Arial,Verdana,Times";
$TableContent_FontSize = 	"14px";
$TableContent_FontColor = 	"#333333";

// Topics
$TopicHeader_Fonts =		"Arial,Verdana,Times"; // For the Topic header on the View Messages page
$TopicHeader_FontSize =		"14px";
$TopicHeader_FontColor =	"#333366";

$Topic_Icon = "document.gif";		// Choices: document.gif,folder.gif
$HotTopic_Icon = "hotdocument.gif";	// Choices: hotdocument.gif,hotfolder.gif
$HotTopic_Queue = "10"; 			// Number of posts a Topic needs to be considered "hot"
$Topic_Trim = "35"; 				// Maximum characters displayed for each Topic.
$Author_Trim = "10"; 				// Maximum characters displayed for each Topic Author.

?>